local addon     	= ...
local f				= CreateFrame("Frame")
local msgcolor		= BLUE_FONT_COLOR
local chatframe		= SELECTED_CHAT_FRAME

local function printf(msg)
	if not msg then
		msg = "Loaded."
	else
		local output = (addon..": "..msg)
		local colorstring = msgcolor:WrapTextInColorCode(output)
		chatframe:AddMessage(colorstring)
	end
end

local function nuke()
	if C_CVar.GetCVar("LibOpenRaidTempCache") then
		C_CVar.SetCVar("LibOpenRaidTempCache", 0)
		C_CVar.SetCVar("LibOpenRaidTempCacheDebug", 0)
		printf("LibOpenRaidTempCache deleted.")
	end
end

f:SetScript("OnEvent", function(self, event, arg1, ...)
	if event == "PLAYER_ENTERING_WORLD" then
		--printf()
		if IsAddOnLoaded("Details") then
			OpenRaidLibFrame:UnregisterEvent("PLAYER_LOGOUT")
			nuke()
			--printf("OpenRaidLibFrame's PLAYER_LOGOUT event is now unregistered.")
		end
	end
	if event == "PLAYER_LOGOUT" then
		nuke()
	end
end)

SlashCmdList["DETAILSFIX"] = function()
	printf("LibOpenRaidTempCache = " .. C_CVar.GetCVar("LibOpenRaidTempCache"))
end
SLASH_DETAILSFIX1 = '/df'

f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:RegisterEvent("PLAYER_LOGOUT")
